## libsysinfo 1.0.0

=== Makefile ===
# SPDX-License-Identifier: LGPL-2.1-or-later
-include config.mk
CFLAGS?=-W -Wall -O2
PREFIX?=/usr/local/
LIBDIR?=$(PREFIX)/lib
BINDIR?=$(PREFIX)/bin
INCLUDEDIR?=$(PREFIX)/include

include proj.mk

LIB_OBJS=$(subst .c,.o,$(LIB_SRCS))
LIB_DEPS=$(subst .c,.dep,$(LIB_SRCS))
LIB_SNAME=lib$(LIB).a
LIB_NAME=lib$(LIB).so
LIB_SONAME=$(LIB_NAME).1
LIB_FILE=$(LIB_SONAME).0.0

BIN_DEPS=$(addsuffix .dep,$(BIN))

all: $(BIN) $(LIB_FILE) $(LIB_SONAME) $(LIB_NAME) $(LIB_SNAME)

$(LIB_OBJS): CFLAGS+=-fPIC
$(LIB_FILE): LDLIBS+=$(LIB_LDLIBS)

#ifdef BIN
$(BIN): LDLIBS+=-l$(LIB)
$(BIN): LDFLAGS+=-L.
$(BIN): |$(LIB_NAME) $(LIB_SONAME)
#endif

LIB_FILES=$(LIB_FILE) $(SLIB_NAME) $(LIB_NAME) $(LIB_SONAME)

-include $(LIB_DEPS)
-include $(BIN_DEPS)

$(LIB_FILE): $(LIB_OBJS)
	 $(CC) -fPIC --shared -Wl,-soname -Wl,$(LIB_SONAME) $^ $(LIB_LDLIBS) -o $@

$(LIB_SONAME): $(LIB_FILE)
	[ -f $(LIB_SONAME) ] || ln -s $(LIB_FILE) $(LIB_SONAME)

$(LIB_NAME): $(LIB_FILE)
	[ -f $(LIB_NAME) ] || ln -s $(LIB_FILE) $(LIB_NAME)

$(LIB_SNAME): $(LIB_OBJS)
	$(AR) rcs $@ $^

$(BIN_DEPS) $(LIB_DEPS): %.dep: %.c
	$(CC) -MM $(CFLAGS) $< -o $@

install:
	install -d $(DESTDIR)/$(LIBDIR)
	install $(LIB_FILE) $(LIB_SNAME) -t $(DESTDIR)/$(LIBDIR)
	cp -d $(LIB_NAME) $(LIB_SONAME) $(DESTDIR)/$(LIBDIR)
	install -d $(DESTDIR)/$(INCLUDEDIR)
	install -m 644 $(LIB_HEADERS) -t $(DESTDIR)/$(INCLUDEDIR)
	[ -z "$(BIN)" ] || install -d $(DESTDIR)/$(BINDIR)
	[ -z "$(BIN)" ] || install $(BIN) -t $(DESTDIR)/$(BINDIR)

clean:
	rm -f $(LIB_NAME) $(LIB_SONAME) $(LIB_FILE) $(LIB_SNAME) $(LIB_OBJS) $(BIN) $(LIB_DEPS) $(BIN_DEPS) config.mk

=== debian/control ===
Source: libsysinfo
Priority: extra
Maintainer: Cyril Hrubis <metan@ucw.cz>
Build-Depends: debhelper (>= 9.0)
Standards-Version: 4.0.0
Section: libs
Homepage: http://gfxprim.ucw.cz/

Package: libsysinfo-dev
Section: libdevel
Architecture: any
Depends: libsysinfo1 (= ${binary:Version})
Description: A system information and statistic parser library
 Minimalistic library to parse system information and statistics.
 .
 This package contains the header and development files which are
 needed for building applications.

Package: libsysinfo1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A system information and statistic parser library
 Minimalistic library to parse system information and statistics.
 .
 This package contains the shared libraries.

Package: sysinfo-tests
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsysinfo1 (= ${binary:Version})
Description: A system information and statistic parser library
 Simple tools to test the sysinfo library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
